UI::Util::ScopeRealTime Class Reference

Log time used for a scope. More...

`#include <Time.hpp>`

Inheritance diagram for UI::Util::ScopeRealTime:
Collaboration diagram for UI::Util::ScopeRealTime:

## Public Member Functions

| ScopeRealTime (std::ostream *const out)
RealTimeStamp | get () const

## Detailed Description

Log time used for a scope.

- Usage as-is: Automatic logging to out stream (nothing if NULL).
- Usage custom logging: Derive class, add custom logging to derived class' destructor, construct w/ out=0.

The documentation for this class was generated from the following files:

- Time.hpp
- Time.cpp